INTRODUCTION
------------
This module enables the Letter-spacing plugin from ckeditor.com in your
WYSIWYG. This plugin adds a "tracking" dropdown to WYSIWYG that allows users to apply the letter-spacing CSS property to text.


INSTALLATION
------------
### Manual download
- Download the plugin from http://ckeditor.com/addon/letterspacing.
- Place the plugin in the root libraries folder (/libraries).
Result path to `plugin.js` should be  `/libraries/letterspacing/plugin.js`.
- Enable CKEditor Letter Spacing in the Drupal admin.
- Configure your WYSIWYG toolbar to include the buttons.

### Installation with composer
- Add letterspacing to repositories section in `composer.json`:
```
    "repositories": [
        {
            "type": "package",
            "package": {
                "name": "ckeditor/letterspacing",
                "type": "drupal-library",
                "version": "0.1.2",
                "dist": {
                    "type": "zip",
                    "url": "https://download.ckeditor.com/letterspacing/releases/letterspacing_0.1.2.zip",
                    "reference": "master"
                }
            }
        }
    ],
```
- Check that you have configured `installer-paths` for libraries. Example:
```
    "extra": {
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/contrib/{$name}": ["type:drupal-drush"]
        }
    }
```
- Run `composer require ckeditor/letterspacing`
- Enable CKEditor Letter Spacing in the Drupal admin.
- Configure your WYSIWYG toolbar to include the buttons.

Troubleshooting
------------
- In case if Letter Spacing not apply - try to disable `Limit allowed HTML tags and correct faulty HTML` filter, which calls to `Drupal\Component\Utility\Xss::filter()`
(this function ALWAYS stripes the style attribute, no matter the configuration that you passed, is hardcoded)

REQUIREMENTS
------------
- CKEditor Module (Core)
- CKEditor Letter Spacing plugin (ckeditor.com)
